import { type EslintPreset, type EslintPresetOptionsTargetFilePatterns } from "@rainstormy/presets-eslint/dist/EslintPresetUtilities.js";
/**
 * A predefined, opinionated ESLint configuration for JSX components in general.
 *
 * - For a Next.js app, use [`@rainstormy/presets-eslint-next`](https://github.com/rainstormy/presets-web/tree/main/packages/presets-eslint-next) instead.
 * - For Preact components, use [`@rainstormy/presets-eslint-preact`](https://github.com/rainstormy/presets-web/tree/main/packages/presets-eslint-preact) instead.
 * - For React components, use [`@rainstormy/presets-eslint-react`](https://github.com/rainstormy/presets-web/tree/main/packages/presets-eslint-react) instead.
 * - For Solid components, use [`@rainstormy/presets-eslint-solid`](https://github.com/rainstormy/presets-web/tree/main/packages/presets-eslint-solid) instead.
 *
 * ```javascript
 * eslintPresetJsx()
 * ```
 *
 * is equivalent to
 *
 * ```javascript
 * eslintPresetJsx({
 *     targetFilePatterns: ["**\/*.@(jsx|tsx)"],
 * })
 * ```
 *
 * @see https://github.com/jsx-eslint/eslint-plugin-jsx-a11y#supported-rules jsx-a11y/*
 * @see https://github.com/jsx-eslint/eslint-plugin-react#list-of-supported-rules react/*
 */
export declare function eslintPresetJsx(options?: EslintPresetOptionsTargetFilePatterns): EslintPreset;
